中国模具论坛

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
热搜: 冲压 注塑 求助
    回车查看更多
    论坛可能已存在您要发布的主题帖 关闭
      查看: 43|回复: 0

      [讨论] 谁能帮我讲讲while在这里的用法,有点看不懂,最好能讲一下每一句的程序的意思

      [复制链接]
      发表于 2019-2-10 00:23:51 | 显示全部楼层 |阅读模式
      (DEFUN C:LLI (/ ES EN EL A)

        (setvar "cmdecho" 0)
        (princ "\nOnly turn on select object layers:")
        (setq        ES (ssget)
              A  0
              EN ""
              EL nil
              FL nil
        )
        (while (/= EN nil)
          (setq EN (ssname ES A)
                EL (cons EN EL)
                A  (1+ A)
          )
        )
        (setq        EL (cdr EL)
              FL (cdr (assoc 8 (entget (car EL))))
              EL (cdr EL)
        )
        (repeat (- A 2)
          (setq EN (cdr (assoc 8 (entget (car EL))))
                FL (strcat EN "," FL)
                EL (cdr EL)
          )
        )
        (command "LAYER" "off" "*" "y" "on" (eval FL) "")
        (princ)
        (setvar "cmdecho" 1)

      )

      本帖最近有 0 人访问 头像模式 列表模式
      您需要登录后才可以回帖 登录 | 注册

      本版积分规则

      关闭

      招聘信息 上一条 /5 下一条

      关闭

      求职信息 上一条 /5 下一条

      关闭

      技术求助 上一条 /5 下一条

      关闭

      站长推荐上一条 /2 下一条

      QQ|小黑屋|手机版|中国模具论坛 ( 浙ICP备15037217号 )

      GMT+8, 2019-2-18 21:04

      Powered by Discuz! X3.2

      © 2001-2013 Comsenz Inc.

      快速回复
      返回顶部
      返回列表